Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user feedback on Emacs being native compiled

From: Arthur Miller <[email-masked]>
Date: Sat, 17 Oct 2020 21:21:26 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Arthur Miller <[email-masked]>
>> Cc: Andrea Corallo <[email-masked]>,  [email-masked],  [email-masked]
>> Date: Sat, 17 Oct 2020 20:48:53 +0200
>> 
>> > FWIW, I will repeat that my preference is 3.  This information doesn't
>> > belong to the version, it belongs to the description of the build's
>> > features, and thus to "about Emacs" (which needs to be revamped not to
>> > show the same information as the splash screen).
>> 
>> Could about-screen use org-mode or outline mode and have a collapsed
>> list fetures, like compile options, included packages (dired, gnus, org
>> etc ...)?
>
> It already has links, so it definitely could have more of them.
>
> Why would we want to display that in Org is not immediately clear to
> me.
Thought just that we could get listing of all the stuff and hide in
folded org headline, so it is a bit prettier to look at; like "Show
more" buttons on some about screens. Maybe if we change from * to > or
some unicode emoji for triangle or something or SVG button as
demonstrated on /s/reddit yesteray that says "show more" and that
unfolds the list.

> It sounds like this will make the About display harder to use for
> newbies who aren't familiar with Org.  What's wrong with simple links?
> everybody is familiar with that nowadays.
See above, just for prettier looks; it would be big list of links if we
print all features included.